#!/bin/sh
#
# Component: taskd
#
# Description:
#   Prints task in human readable format.
#
# Usage:
#    printTask.sh taskfile ...
#
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$
#

. $HOME/etc/setenv.sh

[ -f "$TASKD_CONF" ] && . $TASKD_CONF

while [ -n "$1" ] ; do
	TASKNAME="$1"
	if [ "${TASKNAME%.class}" != "${TASKNAME}" ] ; then
		CMD=`cat ${TASKNAME}`
		$TASKD_HOME/runjavacmd -c "print $CMD" -p ${JAVA_SERVER_PORT}
	elif [ "${TASKNAME%.so}" != "${TASKNAME}" ] ; then
		$TASKD_HOME/runsocmd -P ${TASKNAME}
	else
		$TASKD_HOME/runshellcmd.sh -P -f ${TASKNAME}
	fi

	shift
done
